MockCreationValidator
Date: 2015-09-18

org.mockito.internal.util

## Class MockCreationValidator

- java.lang.Object
- - org.mockito.internal.util.MockCreationValidator

-     public class MockCreationValidator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockCreationValidator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validateConstructorUse(boolean usingConstructor, SerializableMode mode)`
    `void` | `validateDelegatedInstance(java.lang.Class classToMock, java.lang.Object delegatedInstance)`
    `void` | `validateExtraInterfaces(java.lang.Class classToMock, java.util.Collection<java.lang.Class> extraInterfaces)`
    `void` | `validateMockedType(java.lang.Class classToMock, java.lang.Object spiedInstance)`
    `void` | `validateSerializable(java.lang.Class classToMock, boolean serializable)`
    `void` | `validateType(java.lang.Class classToMock)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockCreationValidator

          public MockCreationValidator()

  - ### Method Detail

    - #### validateType

          public void validateType(java.lang.Class classToMock)

    - #### validateExtraInterfaces

          public void validateExtraInterfaces(java.lang.Class classToMock,
                                     java.util.Collection<java.lang.Class> extraInterfaces)

    - #### validateMockedType

          public void validateMockedType(java.lang.Class classToMock,
                                java.lang.Object spiedInstance)

    - #### validateDelegatedInstance

          public void validateDelegatedInstance(java.lang.Class classToMock,
                                       java.lang.Object delegatedInstance)

    - #### validateSerializable

          public void validateSerializable(java.lang.Class classToMock,
                                  boolean serializable)

    - #### validateConstructorUse

          public void validateConstructorUse(boolean usingConstructor,
                                    SerializableMode mode)